#ifndef XGFXWORLDVERTEX_H
#define XGFXWORLDVERTEX_H

#include "xasset.h"
#include "xpackedunitvec.h"
#include "xgfxcolor.h"

#include <QVector3D>

class XGfxWorldVertex : public XAsset
{
public:
    explicit XGfxWorldVertex();
    ~XGfxWorldVertex();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector3D mXYZ;
    float mBinormalSign;
    XGfxColor mColor;
    QVector2D mTexCoord;
    QVector2D mLmapCoord;
    XPackedUnitVec mNormal;
    XPackedUnitVec mTangent;
};

#endif // XGFXWORLDVERTEX_H
